#section_game {
	width: 100%;
	display: flex;
	flex-flow: column;
	align-content: center;
/*	background-color: lightblue;*/
}	

#game_display_container {
	display: flex;
	max-width: 1200px;
	margin-left: auto;
	margin-right: auto;
/*	background-color: pink;*/
}

#game_display {
	display: flex;
	flex-direction: column;
	margin-top: 20px;
	width: 100%;
	/*height: 270px;*/
	height: fit-content;
}

/*1*/
#game_display_header {
	display: flex;
	flex-direction: row;
	width: 100%;
	height: 64px;
	/*background-color: purple;*/
	margin-bottom: 1%;
	padding: 0px;
}

#game_display_logo {
	width: fit-content;
	height: 64px;
	padding: 0px 20px 0px 0px;
	/*background-color: green;*/
}


#game_display_logo img {
	width: 64px;
	height: 64px;
}

#game_display_details {	
	display: flex;
	flex: row-reverse;
	width: 100%;
	height: 64px;
/*	background-color: orange;*/
	position: relative;
}

#game_display_details_name {	
	position: absolute;
	right: 0px;
	top: 0px;
	padding-right: 20px;
	height: 64px;
	/*background-color: yellow;*/
	white-space: nowrap;
	z-index: 1; -webkit-z-index: 1; -moz-z-index: 1; -o-z-index: 1;
}

#game_display_details_name h2{
	font-size: 27px;
}

#game_display_details_short {
	display: flex;
	padding: 5%;
	display: none;
}

/*2*/
#game_display_gallery {
/*	display: flex;*/
	position: relative;
	width: 20%;
	/*flex-direction: row;*/
	height: 270px;
	height: 50px;
	/*background-color: yellow;*/
	background-color: rgba(247, 247, 247, 1.0);
	border-top: solid 1px rgba(247, 247, 247, 1.0);
	overflow: hidden;
	/*border: solid 1px red;*/
	border-radius: 11px 11px 11px 11px;
	-webkit-transition: all 1.25s;
    -moz-transition: all 1.25s;
    -o-transition: all 1.25s;
    transition: all 1.25s;
}

#game_display_gallery_frames {
	position: absolute;
	z-index: 17; -webkit-z-index: 17; -moz-z-index: 17; -o-z-index: 17;
	display: flex;
	flex-direction: row;
	width: calc(100% - 76px);
	width: 100%;
	top: 0px;
	left: 38px;
	left: 0px;
	height: 270px;
	overflow-x: scroll;
	border-radius: 11px 11px 11px 11px;
}

#game_display_gallery_frames::-webkit-scrollbar { display: none; }
#game_display_gallery_frames::-moz-scrollbar { display: none; }
#game_display_gallery_frames::-o-scrollbar { display: none; }
#game_display_gallery_frames::scrollbar { display: none; }

#game_display_gallery_frames_inner {
	position: relative;
/*	width: fit-content;*/
	display: flex;
	flex-direction: row;
	border-radius: 11px 11px 11px 11px;
	-webkit-transition: all 2s;
    -moz-transition: all 2s;
    -o-transition: all 2s;
    transition: all 2s; 
    background-color: white;
}

#game_display_gallery_frames_inner .frame {
	position: relative;
	display: flex;
/*	width: 270px;*/
	height: 270px;
	margin-right: 20px;
	overflow: visible;
	align-items: center;
}

#game_display_gallery_frames_inner .canvas {
	width: fit-content;
	height: fit-content;
}

#game_display_gallery_frames_inner img.portrait {
	height: 270px;
}

#game_display_gallery_frames_inner img.landscape {
	width: 270px;
	margin-top: auto;
}

#game_display_gallery_controls {
	position: absolute;
	z-index: 19; -webkit-z-index: 19; -moz-z-index: 19; -o-z-index: 19;
	bottom: 3px;
	right: 3px;
	display: flex;
	flex-direction: row;
}

#game_display_gallery_controls div {
	display: flex;
}

#game_display_gallery_button_play {
	background-image: url("../images_mockup/icon_play.png");
	background-repeat: none;
	background-position: center;
	display: none;
}

#game_display_gallery_button_pause {
	background-image: url("../images_mockup/icon_pause.png");
	background-repeat: none;
	background-position: center;
	display: none;
}

.game_display_gallery_button {
	width: 32px;
	height: 32px;
	margin: 3px;
	background-color: rgba(0, 0, 0, 0.19);
	border-radius: 11px 11px 11px 11px;
}

.game_display_gallery_button_left {
	position: absolute;
	top: calc(50% - 16px);
	left: 0%;
	width: 32px;
	height: 32px;
	z-index: 11; -webkit-z-index: 11; -moz-z-index: 11; -o-z-index: 11;
	background-color: rgba(0, 0, 0, 0.19);
	border-radius: 0px 11px 11px 0px;
}

.game_display_gallery_button_left button {
	width: 32px;
	height: 32px;
	background-color: rgba(0, 0, 0, 0.19);
	background-image: url("../images_mockup/icon_back.png");
	background-repeat: none;
	background-position: center;
	border-radius: 0px 11px 11px 0px;
}

.game_display_gallery_button_right {
	position: absolute;
	top: calc(50% - 16px);
	right: 0%;
	width: 32px;
	height: 32px;
	z-index: 13; -webkit-z-index: 13; -moz-z-index: 13; -o-z-index: 13;
	border-radius: 11px 0px 0px 11px;
}

.game_display_gallery_button_right button {
	width: 32px;
	height: 32px;
	background-color: rgba(0, 0, 0, 0.19);
	background-image: url("../images_mockup/icon_forward.png");
	background-repeat: none;
	background-position: center;
	border-radius: 11px 0px 0px 11px;
}

#game_display_gallery_button_left:hover {
	background-color: rgba(0, 0, 0, 0.71);
}

#game_display_gallery_button_right:hover {
	background-color: rgba(0, 0, 0, 0.71);
}

#game_display_splash {
	position: relative;
	display: flex;
	flex: 100%;
/*	background-color: blueviolet;*/
}

@keyframes showstores {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

#game_display_splash_image {
	position: relative;
	width: 100%;
}

#game_display_appstores {
	position: relative;
	/*background-color: rosybrown;*/
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	width: 100%;
/*	max-width: 128px;*/
	padding: 2%;
	top: 0px;
}

#game_display_appstores .game_display_appstores {
	display: flex;
	position: relative;
	height: 15%;
	margin-right: 2%;
}

#game_display_appstores .game_display_appstores img {
	height: 32px;
	border-radius: 5px 5px 5px 5px;
}

/*3*/
#game_display_description {
	display: flex;
	margin; 0px;
	padding: 20px;
	padding-left: 20px;
	width: calc(100% - 40px);
	text-align: justify;
	background-color: rgba(247, 247, 247, 1.0);
	border-radius: 11px 11px 11px 11px;
}

/*ADJUSTMENTS*/

@media only screen and (min-width: 431px){
	#game_display_details_name h2{
		font-size: 41px;
	}
}

@media only screen and (min-width: 631px){
	#game_display_details_name h2{
		font-size: 64px;
	}
}

@media only screen and (min-width: 1000px){
	#game_display_gallery_frames {
		width: calc(100% - 76px);
		left: 38px;
	}
	#game_display_gallery_controls {
		/*display: none;*/
		right: 0px;
		bottom: 37px;
	}

	.game_display_gallery_button {
		margin: 0px;
		border-radius: 11px 0px 0px 11px;
	}
}

@media only screen and (min-width: 1200px){
	#game_container {
		margin-left: auto;
		margin-right: auto;
	}
}

/*ANIMATIONS*/

#game_display_header {
	opacity: 0;
	animation-name: fadein;
	animation-delay: 0s;
	animation-duration: 3s;
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

#game_display_splash {
	opacity: 0;
	animation-name: fadein;
	animation-delay: 5s;
	animation-duration: 1s;
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

#game_display_description_shell {
	opacity: 0;
	animation-name: fadein;
	animation-delay: 4s;
	animation-duration: 3s;
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

#game_display_description {
	height: 0px;
	overflow: hidden;
	animation-name: rolldown;
	animation-delay: 3s;
	animation-duration: 1s;
	animation-iteration-count: 1;
	animation-fill-mode: forwards;
}

@keyframes fadein {
	0% { opacity: 0; }
	100% { opacity: 1; }
}

@keyframes rolldown {
	0% { height: 0px; overflow: hidden; }
	90% { height: 90%; }
	100% { height: fit-content; overflow: visible; }
}


